curl https://production.methodfi.com/files/file_jZWkPMhXPeYAn/download \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-o raw_credit_report.json
Files
Download a File
GET
/
files
/
{file_id}
/
download
curl https://production.methodfi.com/files/file_jZWkPMhXPeYAn/download \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-o raw_credit_report.json
Streams the File’s contents directly.
The response body is the raw file (e.g. the raw credit report JSON or the
credit report PDF), with the File’s
mime_type as the Content-Type and a
Content-Disposition attachment header containing the file name.
Use this endpoint to download the file directly. If you just need a
link to the file, use the
download_url from
Retrieve a File instead.Path Parameters
Returns
Returns the File’s contents.curl https://production.methodfi.com/files/file_jZWkPMhXPeYAn/download \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-o raw_credit_report.json